-- Loopspace’s Useless Code

--[[
This is a project for distributing some of my library code. Included are:

* MeshExt: extension for meshes to add lots of standard shapes such as spheres, cylinders, cones, etc
* PseudoMesh: create a mesh-lite object that can be used to use mesh creation code (such as in MeshExt) to build an object to then convertvto a model for inclusion in Craft code
* VecExt: extensions to all of the vector and matrix objects to add functionality
* ColourExt: extension to the color object to add functionality

This project does nothing, and the code in the Main tab is just for me to easily maintain this project and keep it suitable for uploading to WebRepo.
 
--]]


function setup()
    parameter.action("Update",updateCode)
end


function draw()
    -- This sets a dark background color 
    background(40, 40, 50)

    -- This sets the line thickness
    strokeWidth(5)
    
end

function updateCode()
    local tabs = {
        "Library Graphics:MeshExt",
        "Library Graphics:PseudoMesh",
        "Library Maths:VecExt",
        "Library Base:ColourExt"
    }
    local code, tab
    for k,v in pairs(tabs) do
        print(string.format("Updating %s", v))
        code = readProjectTab(v)
        tab = v:gsub(".*:","")
        saveProjectTab(tab,code)
        print(string.format("Updated %s", v))
    end

end


